View Issue Details

IDProjectCategoryView StatusLast Update
0000447OBS-StudioCustom FFmpeg Outputpublic2019-02-24 01:57
ReporterZeroWalkerAssigned ToJim 
PrioritylowSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformOBS MultiplatformOSAll SystemsOS VersionAll Versions
Product Version 
Target Version23.0.0Fixed in Version23.0.0 
Summary0000447: Multi-Track Audio support with Custom Output (FFmpeg).
DescriptionMultiple audio tracks so you can assign the audio of a source to only apply to a specific audio track of your choosing, in Advanced, Custom Output (FFmpeg).
Additional Information(Think this already is on the roadmap, but couldn't find it so added it in case, just remove this if it exists).

Thanks:)
TagsHas PR

Activities

Schauerland

2016-03-07 12:55

reporter   ~0000688

i would love to see this feature.

CamJ

2016-12-23 02:23

reporter   ~0001481

I would as well. It seems possible with https://trac.ffmpeg.org/wiki/Map and http://ffmpeg.org/ffmpeg.html#Advanced-options

pkv

2017-03-04 16:28

developer   ~0001757

+1 this would be awesome !
This is indeed easy to do on the Command line with ffmpeg (-map ) as pointed by CamJ.

RytoEX

2018-07-25 09:40

manager   ~0003381

This issue currently has an associated PR, PR 1351[1]. Assigning to me for tracking.

[1]: https://github.com/obsproject/obs-studio/pull/1351

pkv

2018-10-08 07:47

developer   ~0003659

PR has been merged. This can be closed.

RytoEX

2018-10-08 07:50

manager   ~0003661

Marking this as resolved and targeting OBS Studio 22.1.0.

RytoEX

2019-02-23 05:06

manager   ~0003919

Re-targeting to OBS Studio 23.0.0.

Issue History

Date Modified Username Field Change
2016-03-04 17:05 ZeroWalker New Issue
2016-03-07 12:55 Schauerland Note Added: 0000688
2016-12-23 02:23 CamJ Note Added: 0001481
2017-03-04 16:28 pkv Note Added: 0001757
2018-07-25 09:38 RytoEX Tag Attached: Has PR
2018-07-25 09:40 RytoEX Assigned To => RytoEX
2018-07-25 09:40 RytoEX Status new => assigned
2018-07-25 09:40 RytoEX Note Added: 0003381
2018-10-08 07:47 pkv Note Added: 0003659
2018-10-08 07:50 RytoEX Assigned To RytoEX => Jim
2018-10-08 07:50 RytoEX Status assigned => resolved
2018-10-08 07:50 RytoEX Resolution open => fixed
2018-10-08 07:50 RytoEX Fixed in Version => 22.1.0
2018-10-08 07:50 RytoEX Target Version => 22.1.0
2018-10-08 07:50 RytoEX Note Added: 0003661
2019-02-23 05:06 RytoEX Fixed in Version 22.1.0 => 23.0.0
2019-02-23 05:06 RytoEX Target Version 22.1.0 => 23.0.0
2019-02-23 05:06 RytoEX Note Added: 0003919
2019-02-24 01:57 Fenrir Category libobs => Custom FFmpeg Output